# FullCacheRepo

interface FullCacheRepo : InvalidatableRepo (source)

#### Inheritors

FullReadCRUDCacheRepo
FullReadKeyValueCacheRepo
FullWriteKeyValueCacheRepo
FullReadKeyValuesCacheRepo
FullWriteKeyValuesCacheRepo
DirectFullCacheRepo

## Functions

invalidate
Link copied to clipboard
abstract suspend fun invalidate ()

Invalidates its internal data. It may lead to autoreload of data. In case when repo makes autoreload, it must do loading of data before clear